Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Community Member

a problem with backup after upgrade from LMS 3.0 to LMS 3.1

The customer has a problem with backup. Backup starts, but when it finished the following message is appeared:

------------------------------------------------------------------------------

Starting database engine rmengEng

[Wed Oct 1 20:56:57 2008] ERROR(969): Fatal error: Database engine 'rmengEng'

could not be started on database 'rmengdb' in Bulk mode..

[Wed Oct 1 20:56:57 2008] Backup failed: 2008/10/01 20:56:57

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

------------------------------------------------------------------------------

and the result is: Backup failed.

Can you help me? Thank you.

1 ACCEPTED SOLUTION

Accepted Solutions
Cisco Employee

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Yes, but you have to open a Service Request with TAC to get it.

16 REPLIES
Cisco Employee

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Please post the list of contents in the NMSROOT/databases/rmeng directory.

Community Member

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Hi,

I'm sending you the requested file.

Roman

Cisco Employee

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Shutdown Daemon Manager, delete the rmeng.log, then run:

D:\CW2000\objects\db\win32\dbsrv9 -f D:\CW2000\databases\rmeng\rmeng.db

Then restart Daemon Manager. Your backup should work.

Community Member

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Hi,

the customer tried to use your method, but the result is same:-(

He used dbsrv10, because he didn't find dbsrv9 file in the directory win32.

Cisco Employee

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

I had assumed you were doing the backup under LMS 3.0.1. Under LMS 3.1, the command would be dbsrv10. When Daemon Manager is running, does the RMEDbEngine process come up? Please post the output of the pdshow command.

Community Member

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Hi,

I'm sending you the output from pdshow command.

Community Member

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Hi,

I'm sending you the output from pdshow command.

Cisco Employee

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

This looks good. Exactly how are you performing the backup?

Community Member

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Hi

I'm sending you the answer from my customer.

Scheduled usign GUI - daily, without generations, 20:45 local time, directory on local disk

Gzipped dbbackup.log has now almost 28 MB, so I do not include it.

Roman

Cisco Employee

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Does the backup work if run manually:

NMSROOT/bin/perl NMSROOT/bin/backup.pl

Community Member

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Hi,

the customer tried manually backup, but the result is same:-( See answer from my customer:

The result is the same - same error message

Cisco Employee

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

What do they get if they run the following command with Daemon Manager running:

D:\CW2000\bin\perl D:\CW2000\objects\db\conf\configureDb.pl action=validate dsn=rmeng

Community Member

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Hi,

I have the requested output. Roman

When I enter the command WITH Daemon Manager stopped, I get output, which is included.

In both cases I omitted part of command - "jsessionid=2EBD87BC3B46D9F333700F4D231BA4E5.SJ5B". I hope it doesn't matter so much

Cisco Employee

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Your syslog dataspaces are corrupt. There is a utility available from the TAC called DBSpaceReclaimer.class which can be used to drop these dataspaces. The alternative is you will need to either restore a known good LMS backup, or reinitialize your RME database.

Community Member

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Is possible to get this utility from Cisco? Thank you.

Cisco Employee

Re: a problem with backup after upgrade from LMS 3.0 to LMS 3.1

Yes, but you have to open a Service Request with TAC to get it.

277
Views
0
Helpful
16
Replies
CreatePlease to create content